Profile an import source
curl --request POST \
--url https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile \
--header 'Content-Type: application/json' \
--header 'x-chatobserver-key: <api-key>' \
--data '
{
"sheetName": "<string>",
"headerRow": 50,
"delimiter": ","
}
'const options = {
method: 'POST',
headers: {'x-chatobserver-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sheetName: '<string>', headerRow: 50, delimiter: ','})
};
fetch('https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile"
payload = {
"sheetName": "<string>",
"headerRow": 50,
"delimiter": ","
}
headers = {
"x-chatobserver-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"columns": [
{
"nullable": false,
"position": 123,
"sourceName": "<string>",
"suggestedFieldId": "<string>",
"suggestedLabel": "<string>",
"inferredType": "string",
"populatedSamples": 123,
"distinctSamples": 123,
"sampleValues": [
"<string>"
]
}
],
"workspaceId": "<string>",
"schemaVersion": 1,
"format": "csv",
"sourceObjectId": "<string>",
"headerRow": 123,
"firstDataRow": 123,
"delimiter": ",",
"schemaFingerprint": "<string>",
"sourceChecksumSha256": "<string>",
"sheetNames": [
"<string>"
],
"selectedSheet": "<string>",
"sampleRows": [
{}
],
"sampledRowCount": 123,
"sampleLimit": 123,
"sourceByteCount": 123,
"truncated": false
}
}{
"error": {
"code": "internal",
"fieldPath": [
"<string>"
],
"parameters": {},
"repairActions": [
"<string>"
],
"requestId": "<string>",
"retryable": false,
"retryAfterSeconds": 1
}
}Data delivery
Profile an import source
Manage schedules, transfers, destinations and import workflows.
POST
/
api
/
v2
/
metrics
/
import-sources
/
{sourceObjectId}
/
profile
Profile an import source
curl --request POST \
--url https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile \
--header 'Content-Type: application/json' \
--header 'x-chatobserver-key: <api-key>' \
--data '
{
"sheetName": "<string>",
"headerRow": 50,
"delimiter": ","
}
'const options = {
method: 'POST',
headers: {'x-chatobserver-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sheetName: '<string>', headerRow: 50, delimiter: ','})
};
fetch('https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v2/metrics/import-sources/{sourceObjectId}/profile"
payload = {
"sheetName": "<string>",
"headerRow": 50,
"delimiter": ","
}
headers = {
"x-chatobserver-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"columns": [
{
"nullable": false,
"position": 123,
"sourceName": "<string>",
"suggestedFieldId": "<string>",
"suggestedLabel": "<string>",
"inferredType": "string",
"populatedSamples": 123,
"distinctSamples": 123,
"sampleValues": [
"<string>"
]
}
],
"workspaceId": "<string>",
"schemaVersion": 1,
"format": "csv",
"sourceObjectId": "<string>",
"headerRow": 123,
"firstDataRow": 123,
"delimiter": ",",
"schemaFingerprint": "<string>",
"sourceChecksumSha256": "<string>",
"sheetNames": [
"<string>"
],
"selectedSheet": "<string>",
"sampleRows": [
{}
],
"sampledRowCount": 123,
"sampleLimit": 123,
"sourceByteCount": 123,
"truncated": false
}
}{
"error": {
"code": "internal",
"fieldPath": [
"<string>"
],
"parameters": {},
"repairActions": [
"<string>"
],
"requestId": "<string>",
"retryable": false,
"retryAfterSeconds": 1
}
}Required scopes:
metrics:read, metrics:write.Authorizations
WorkspaceKeyBearerKey
A workspace API key. Data endpoints require a service-account key with the specified scopes.
Path Parameters
Resource identifier returned by the API.
Body
application/json
Response
Successful response.
Show child attributes
Show child attributes